petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCDeflationGetPC

Returns the additional preconditioner M^{-1}.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationGetPC(PC pc,PC *apc)

Not Collective

### Input Parameters

pc -the preconditioner context

### Output Parameters

apc -additional preconditioner

### See Also

PCDEFLATION

### Level

advanced

### Location

src/ksp/pc/impls/deflation/deflation.c

### Implementations

PCDeflationGetPC_Deflation in src/ksp/pc/impls/deflation/deflation.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages